import { HttpClient } from '@angular/common/http';
import { TranslateService } from '@ngx-translate/core';
import { MessageService } from 'primeng/api';
import { BridgeDto } from '../bridge/bridge-dto';
export declare class BridgeAdjustmentService {
    private readonly http;
    private readonly messageService;
    private readonly translate;
    private readonly bffFacadeUrl;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    insert(bridge: BridgeDto): import("rxjs").Observable<unknown>;
    update(id: any, bridge: BridgeDto): import("rxjs").Observable<unknown>;
    delete(id: string): import("rxjs").Observable<unknown>;
}
